Bug 615674 - [abrt] crash in setroubleshoot-server-2.2.81-1.fc13: browser.py:614:notify_button_clicked:IndexError: list index out of range
Summary: [abrt] crash in setroubleshoot-server-2.2.81-1.fc13: browser.py:614:notify_bu...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ff261bf1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-17 21:31 UTC by dale
Modified: 2011-06-06 07:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 07:32:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (488 bytes, text/plain)
2010-07-17 21:31 UTC, dale
no flags Details

Description dale 2010-07-17 21:31:54 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python -E /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.33.3-85.fc13.i686.PAE
package: setroubleshoot-server-2.2.81-1.fc13
reason: browser.py:614:notify_button_clicked:IndexError: list index out of range
release: Fedora release 13 (Goddard)

backtrace
-----
browser.py:614:notify_button_clicked:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 614, in notify_button_clicked
    curr_id = self.alert_list[self.current_alert].local_id
IndexError: list index out of range

Local variables in innermost frame:
widget: <gtk.CheckButton object at 0x93cb7fc (GtkCheckButton at 0x8e1b490)>
self: <setroubleshoot.browser.BrowserApplet instance at 0x93c5b8c>

Comment 1 dale 2010-07-17 21:31:56 UTC
Created attachment 432641 [details]
File: backtrace

Comment 2 amayry 2010-07-28 02:32:41 UTC
Package: setroubleshoot-server-2.2.81-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
had gbrainy,mahjongg,shisen-sho,and firefox open system lockup.
system would not do anything waited half hour turn off and restarted system.

Comment 3 amayry 2010-07-28 02:37:38 UTC
Package: setroubleshoot-server-2.2.81-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
had gbrainy,mahjongg,shisen-sho,and firefox open system lockup.
system would not do anything waited half hour turn off and restarted system.

Comment 5 Daniel Walsh 2010-10-07 13:46:20 UTC
I believe this is fixed in setroubleshoot-2.2.102-1.fc13

Comment 6 Bug Zapper 2011-06-01 13:35:37 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.